Amazon Linux AMI:libpng(ALAS-2012-49)

medium Nessus プラグイン ID 69656
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート Amazon Linux AMI ホストに、セキュリティ更新がありません。

説明

ヒープベースのバッファオーバーフローの欠陥が libpng で見つかりました。攻撃者が特別に細工された PNG イメージを作成した場合、このファイルが開かれたときに、 libpng を使用しているアプリケーションをクラッシュさせたり、アプリケーションを実行しているユーザーの権限で任意のコードを実行したりする可能性があります。(CVE-2011-3026)

ソリューション

「yum update libpng」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/ALAS-2012-49.html

プラグインの詳細

深刻度: Medium

ID: 69656

ファイル名: ala_ALAS-2012-49.nasl

バージョン: 1.7

タイプ: local

エージェント: unix

公開日: 2013/9/4

更新日: 2020/4/17

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.8

CVSS v2

リスクファクター: Medium

Base Score: 6.8

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

脆弱性情報

CPE: p-cpe:/a:amazon:linux:libpng, p-cpe:/a:amazon:linux:libpng-debuginfo, p-cpe:/a:amazon:linux:libpng-devel, p-cpe:/a:amazon:linux:libpng-static, cpe:/o:amazon:linux

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

パッチ公開日: 2014/9/14

脆弱性公開日: 2012/2/16

参照情報

CVE: CVE-2011-3026

ALAS: 2012-49

RHSA: 2012:0317